Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::StorageManager::StorageInformation Struct Reference

Information. More...

## Public Attributes
StorageStatus | status
| storage status
int | capacity
| over-all nr of storable images
int | used
| nr of stored images (local storage only)
vector< WebcamStorageInfo > | webcamStorageInfo
| List of storage information for each webcam (local storage only)

## Detailed Description

Information.

Definition at line 53 of file StorageManager.idl.

## Member Data Documentation

## ◆ capacity

int webcam::StorageManager::StorageInformation::capacity

over-all nr of storable images

Definition at line 55 of file StorageManager.idl.

## ◆ status

StorageStatus webcam::StorageManager::StorageInformation::status

storage status

Definition at line 54 of file StorageManager.idl.

## ◆ used

int webcam::StorageManager::StorageInformation::used

nr of stored images (local storage only)

Definition at line 56 of file StorageManager.idl.

## ◆ webcamStorageInfo

vector<WebcamStorageInfo> webcam::StorageManager::StorageInformation::webcamStorageInfo

List of storage information for each webcam (local storage only)

Definition at line 57 of file StorageManager.idl.

The documentation for this struct was generated from the following file:

- StorageManager.idl